Package org.eclipse.mat.ui.internal.diagnostics.actions

## Class J9JVMBase

- java.lang.Object
- - org.eclipse.mat.ui.internal.diagnostics.actions.J9JVMBase

All Implemented Interfaces:
  `DiagnosticsAction`

Direct Known Subclasses:
  `J9JVMHeapDump`, `J9JVMSystemDump`, `J9JVMThreadDump`

    public abstract class J9JVMBase
    extends java.lang.Object
    implements DiagnosticsAction

Base class for interacting with the J9 JVM

### Constructor Summary

Constructors
`J9JVMBase()`

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.mat.ui.internal.diagnostics.DiagnosticsAction

`run`

### Constructor Detail

#### J9JVMBase

    public J9JVMBase()